Subject: Re: [PATCH 10/11] Add MPC8360EMDS board support

From: Eugene Surovegin <[email-masked]>
Date: Wed, 4 Oct 2006 23:21:05 -0700

On Thu, Oct 05, 2006 at 09:36:59AM +1000, Benjamin Herrenschmidt wrote:
> Ugh ? Look at the #ifdef mess in ibm_emac...

Ugh?

I think you have to thank IBM/AMCC designers which keep changing bit 
layout of some registers, sometimes just changing polarity for no 
reason.

And with all due respect, Ben. Current ibm_emac despite of all "mess" 
is actually usable in production environment, which cannot be said 
about initial Armin version and second version you started but never 
got time to actually finish.

-- 
Eugene